accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From els...@apache.org
Subject [4/6] accumulo git commit: Merge branch '1.6' into 1.7
Date Wed, 05 Aug 2015 16:37:46 GMT
Merge branch '1.6' into 1.7

Conflicts:
	assemble/bin/accumulo


Project: http://git-wip-us.apache.org/repos/asf/accumulo/repo
Commit: http://git-wip-us.apache.org/repos/asf/accumulo/commit/5f76160c
Tree: http://git-wip-us.apache.org/repos/asf/accumulo/tree/5f76160c
Diff: http://git-wip-us.apache.org/repos/asf/accumulo/diff/5f76160c

Branch: refs/heads/master
Commit: 5f76160c1d856bc07a09c23e2d03e6b0a113049b
Parents: 4dd8c54 6425c37
Author: Josh Elser <elserj@apache.org>
Authored: Wed Aug 5 12:37:21 2015 -0400
Committer: Josh Elser <elserj@apache.org>
Committed: Wed Aug 5 12:37:21 2015 -0400

----------------------------------------------------------------------
 assemble/bin/accumulo | 8 ++++++++
 1 file changed, 8 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/accumulo/blob/5f76160c/assemble/bin/accumulo
----------------------------------------------------------------------
diff --cc assemble/bin/accumulo
index 6e30c95,301d9a3..a688879
--- a/assemble/bin/accumulo
+++ b/assemble/bin/accumulo
@@@ -112,8 -117,15 +112,16 @@@ esa
  
  XML_FILES="${ACCUMULO_CONF_DIR}"
  LOG4J_JAR=$(find -H "${HADOOP_PREFIX}/lib" "${HADOOP_PREFIX}"/share/hadoop/common/lib -name
'log4j*.jar' -print 2>/dev/null | head -1)
 +SLF4J_JARS="${ACCUMULO_HOME}/lib/slf4j-api.jar:${ACCUMULO_HOME}/lib/slf4j-log4j12.jar"
+ 
+ # The `find` command could fail for environmental reasons or bad configuration
+ # Avoid trying to run Accumulo when we can't find the jar
 -if [ -z "${LOG4J_JAR}" ]; then
++if [ -z "${LOG4J_JAR}" -a -z "${CLASSPATH}" ]; then
+    echo "Could not locate Log4j jar in Hadoop installation at ${HADOOP_PREFIX}"
+    exit 1
+ fi
+ 
 -CLASSPATH="${XML_FILES}:${START_JAR}:${LOG4J_JAR}"
 +CLASSPATH="${XML_FILES}:${START_JAR}:${SLF4J_JARS}:${LOG4J_JAR}:${CLASSPATH}"
  
  if [ -z "${JAVA_HOME}" -o ! -d "${JAVA_HOME}" ]; then
     echo "JAVA_HOME is not set or is not a directory.  Please make sure it's set globally
or in conf/accumulo-env.sh"


Mime
View raw message